/* In @huntsman-cancer-institute/style 5.0.0-beta.1 */
.hci-sidebar .top-sidebar-container {
  display: flex;
  position: relative;
  height: 100vh;
  margin-right: -4px;
  background-color: $white-lightest;
  box-shadow: 2px 0px 1px $greycool-light;
}

.ri .hci-sidebar,
.ri-sidebar .hci-sidebar,
.theme-core-default .hci-sidebar {
  font-family: hci-font;
  color: $bluewarm-dark;
  background-color: $white-lightest;
  box-shadow: none;
  line-height: initial;

  // moves the collapse button
  margin-right: -1px;

  .sidebar-collapse-button {
    position: absolute;
    bottom: 26px;
    align-items: center;
    height: 26px;
    float: right;
    background-color: transparent !important;
    border: none;
  }

  //.nav-item {
  //  flex: 1 1 auto;
  //}

  a {
    float: right;
    width: 50%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    justify-content: center;
    border-bottom: 1px solid $grey-light;
  }

  span {
    padding-left: 4px !important;
  }

  ul {
    justify-content: center !important;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
  }

  .bottom-of-sidebar {
    display: none !important;
  }

  .nav-item {
    background-color: $white-darkest;
    color: $grey-dark;
    border-bottom: none;
    border: 0.1px solid $grey-light;
  }

  .nav-item.active {
    background-color: $white-medlight;
    color: $bluewarmvivid-lightest;
    border-bottom: none;
    border-left: 0.1px solid $grey-light;
    border-right: 0.1px solid $grey-light;
    border-top: 0.1px solid $grey-light;
    font-weight: 600;
  }
}

.ri .sidebar-splitter,
.ri-sidebar .sidebar-splitter,
.theme-core-default .sidebar-splitter {
  background-color: $white-lightest !important;
  box-shadow: none;

  .splitter-icon {
    color: $bluewarm-dark;
  }
}

.ri-sidebar-cell {
  font-family: hci-font;
  color: $bluewarm-dark;
  background-color: $white-lightest;
  padding-left: 8px;
  padding-top: 8px;
  padding-bottom: 8px;
}

.row-parent.active > .ri-sidebar-cell {
  background-color: $bluewarmvivid-lightest;
  color: $white-lightest;
  margin-top: 0px;
  outline: none;
}

.ri-sidebar-cell-main-text {
  font-family: hci-font;
  font-size: 15px;
  font-weight: 500;
  margin-left: 8px;
}

.ri-sidebar-cell-secondary-text-label,
.ccr-sidebar-cell-secondary-text-label {
  font-family: hci-font;
  font-size: 12px;
  font-weight: 300;
  margin-left: 8px;
}

.ri-sidebar-cell-secondary-text-value {
  font-family: hci-font;
  font-size: 12px;
  font-weight: 500;
  margin-left: 8px;
}
